package com.ruoyi.cms.service;

import java.util.List;
import com.ruoyi.cms.domain.SubwayStation;

/**
 * 地铁站点Service接口
 * 
 * @author Lishundong
 * @date 2024-11-12
 */
public interface ISubwayStationService 
{
    /**
     * 查询地铁站点
     * 
     * @param stationId 地铁站点主键
     * @return 地铁站点
     */
    public SubwayStation selectSubwayStationByStationId(Long stationId);

    /**
     * 查询地铁站点列表
     * 
     * @param subwayStation 地铁站点
     * @return 地铁站点集合
     */
    public List<SubwayStation> selectSubwayStationList(SubwayStation subwayStation);

    /**
     * 新增地铁站点
     * 
     * @param subwayStation 地铁站点
     * @return 结果
     */
    public int insertSubwayStation(SubwayStation subwayStation);

    /**
     * 修改地铁站点
     * 
     * @param subwayStation 地铁站点
     * @return 结果
     */
    public int updateSubwayStation(SubwayStation subwayStation);

    /**
     * 批量删除地铁站点
     * 
     * @param stationIds 需要删除的地铁站点主键集合
     * @return 结果
     */
    public int deleteSubwayStationByStationIds(Long[] stationIds);

    void importStation();
}
